import 'dart:async';

import 'package:flutter/services.dart';

class SpeechToTextPlugins {
  static const MethodChannel _channel = const MethodChannel('speech_to_text_plugins');

  static final SpeechToTextPlugins _speech = new SpeechToTextPlugins._internal();
  factory SpeechToTextPlugins() => _speech;
  SpeechToTextPlugins._internal();

  Future<bool> activate() => _channel.invokeMethod("speech.activate");

  Future<List> listen() => _channel.invokeMethod("speech.listen");

  Future cancel() => _channel.invokeMethod("speech.cancel");

  Future destroy() => _channel.invokeMethod("speech.destroy");

  Future<List> stop() => _channel.invokeMethod("speech.stop");
}
